Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040964
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2019-05-28 17:192019-12-13 08:19
ReporterngarciaView Statuspublic 
Assigned Tononofrancisco 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision9c31b62de9a2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2017-10-10
Regression introduced in release3.0PR18Q1
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/9cf1f8c7de280894eb268e310a732b3e61cd128d [^]
Triggers an Emergency PackNo
Summary

0040964: Cannot open Payment Execution form if there are more than 1000 payment methods

DescriptionCannot open Payment Execution form if there are more than 1000 payment methods
Steps To ReproduceLog in with 'The White Valley Group Admin' role
Open the Payment Execution window
Check the following error is shown:
   "org.hibernate.exception.SQLGrammarException: could not execute query"
The log shows:
   
ERROR org.openbravo.advpaymentmngt.ad_forms.BatchPaymentExecution - Error captured:
org.hibernate.exception.SQLGrammarException: could not extract ResultSet
...
    at org.openbravo.dal.service.OBCriteria.list(OBCriteria.java:103) ~[OBCriteria.class:?]
    at org.openbravo.advpaymentmngt.dao.AdvPaymentMngtDao.getFilteredPaymentMethods(AdvPaymentMngtDao.java:874) ~[AdvPaymentMngtDao.class:?]
    at org.openbravo.advpaymentmngt.utility.FIN_Utility.getPaymentMethodList(FIN_Utility.java:505) ~[FIN_Utility.class:?]
    at org.openbravo.advpaymentmngt.ad_forms.BatchPaymentExecution.printPageDataSheet(BatchPaymentExecution.java:205) ~[BatchPaymentExecution.class:?]
    at org.openbravo.advpaymentmngt.ad_forms.BatchPaymentExecution.doPost(BatchPaymentExecution.java:85) ~[BatchPaymentExecution.class:?]
Proposed SolutionThe problem is in the addPaymentMethodList function of AdvPaymentMngtDao class. The following line is leaving the paymentMethods empty

paymentMethods.removeAll(paymentMethodsToRemove);

and the following instruction is not calculating the size correctly:

      paymentMethodsSize = paymentMethodsSize - 999;

so the following condition is included in the query:

or this_.Fin_Paymentmethod_ID in ()
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036747 closedAtulOpenbravo Avoid query more than once in several classes 
depends on backport 00410233.0PR19Q2.1 closednonofrancisco Cannot open Payment Execution form if there are more than 1000 payment methods 
depends on backport 00410243.0PR19Q1.2 closednonofrancisco Cannot open Payment Execution form if there are more than 1000 payment methods 

-  Notes
(0112279)
nonofrancisco (developer)
2019-05-30 17:43

Test Plan

Install Retail module

As Openbravo/The White Valley Group Admin

Open the Payment Execution window

Verify the window opens successfully
(0112435)
hgbot (developer)
2019-06-05 16:44

Repository: erp/devel/pi
Changeset: 9c31b62de9a269832e9e6050de26df795757f7c2
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Thu May 30 11:36:20 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/9c31b62de9a269832e9e6050de26df795757f7c2 [^]

Fixes issue 40964: Fixes getting Filter by Payment Method

Avoids duplicates in list of payment method Id's.
Fixes the way the filter is build when there are more than 1000 payment methods
for filtering

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/AdvPaymentMngtDao.java
---
(0112436)
hgbot (developer)
2019-06-05 16:44

Repository: erp/devel/pi
Changeset: 3365dc61940e8ee52c1e7e66096837cd11710bbe
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Jun 05 12:44:16 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3365dc61940e8ee52c1e7e66096837cd11710bbe [^]

related to issue 40964 reimplement the way to split the paymentMethods

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/AdvPaymentMngtDao.java
---
(0112439)
Sandrahuguet (developer)
2019-06-05 16:46

code review + testing ok
(0112446)
hudsonbot (developer)
2019-06-06 01:52

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b4046817fc0e [^]
Maturity status: Test
(0112447)
hudsonbot (developer)
2019-06-06 01:52

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b4046817fc0e [^]
Maturity status: Test
(0116295)
Sandrahuguet (developer)
2019-12-13 08:19

Test added
https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-11606 [^]

- Issue History
Date Modified Username Field Change
2019-05-28 17:19 ngarcia New Issue
2019-05-28 17:19 ngarcia Assigned To => Triage Finance
2019-05-28 17:19 ngarcia Modules => Core
2019-05-28 17:19 ngarcia Triggers an Emergency Pack => No
2019-05-28 17:20 ngarcia Relationship added related to 0036747
2019-05-28 17:20 ngarcia Issue Monitored: networkb
2019-05-29 09:25 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-05-30 17:43 nonofrancisco Note Added: 0112279
2019-05-30 18:02 nonofrancisco Status new => scheduled
2019-06-04 13:24 Sandrahuguet Regression level => Production - Confirmed Stable
2019-06-04 13:24 Sandrahuguet Regression date => 2017-10-10
2019-06-04 13:24 Sandrahuguet Regression introduced in release => 3.0PR18Q1
2019-06-04 13:24 Sandrahuguet Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/9cf1f8c7de280894eb268e310a732b3e61cd128d [^]
2019-06-04 15:49 nonofrancisco Status scheduled => acknowledged
2019-06-04 15:50 nonofrancisco Status acknowledged => scheduled
2019-06-05 16:44 hgbot Checkin
2019-06-05 16:44 hgbot Note Added: 0112435
2019-06-05 16:44 hgbot Status scheduled => resolved
2019-06-05 16:44 hgbot Resolution open => fixed
2019-06-05 16:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9c31b62de9a269832e9e6050de26df795757f7c2 [^]
2019-06-05 16:44 hgbot Checkin
2019-06-05 16:44 hgbot Note Added: 0112436
2019-06-05 16:46 Sandrahuguet Review Assigned To => Sandrahuguet
2019-06-05 16:46 Sandrahuguet Note Added: 0112439
2019-06-05 16:46 Sandrahuguet Status resolved => closed
2019-06-05 16:46 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-06-06 01:52 hudsonbot Checkin
2019-06-06 01:52 hudsonbot Note Added: 0112446
2019-06-06 01:52 hudsonbot Checkin
2019-06-06 01:52 hudsonbot Note Added: 0112447
2019-12-13 08:19 Sandrahuguet Note Added: 0116295


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker